/*
 * Copyright (c) 2002 Sandro Sigala.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FXREPTONED_H
#define FXREPTONED_H

enum Sprite {
#define SPRITEOBJ(e, n) e,
#define MAPOBJ(e, n) e,
#include "sprites.h"
#undef SPRITEOBJ
#undef MAPOBJ
	NUM_SPRITES
};

const int num_sprites = NUM_SPRITES;
const int num_map_sprites = Sprite_Spirit+1;
const int sprite_width = 32;
const int sprite_height = 32;

#endif // !FXREPTONED_H
